Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NavigationItem(False), CreatableItem(False)> _
<NonPersistent()>
Public Class GLBankPrepareName
    Inherits BaseObject
    Private _BankPrepareName As String
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
        ' This constructor is used when an object is loaded from a persistent storage.
        ' Do not place any code here or place it only when the IsLoading property is false:
        ' if (!IsLoading){
        '   It is now OK to place your initialization code here.
        ' }
        ' or as an alternative, move your initialization code into the AfterConstruction method.
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
        ' Place here your initialization code.
    End Sub
    Property BankPrepareName As String
        Get
            Return _BankPrepareName
        End Get
        Set(value As String)
            SetPropertyValue("BankPrepareName", _BankPrepareName, value)
        End Set
    End Property
    <VisibleInListView(False)> _
    ReadOnly Property GLBankPrepareNameGroup As XPCollection(Of GLBankPrepareNameGroup)
        Get
            Return New XPCollection(Of GLBankPrepareNameGroup)(Session)
        End Get
    End Property
End Class
<NavigationItem(False), CreatableItem(False)> _
<Persistent("vv_RegistryBankTransferPrepareName")> _
Public Class GLBankPrepareNameGroup
    Inherits XPLiteObject
    <Persistent("Oid"), Key(True)> Property Oid As String
    <Persistent("BankPrepareName")> Property BankPrepareName As String
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
        ' This constructor is used when an object is loaded from a persistent storage.
        ' Do not place any code here or place it only when the IsLoading property is false:
        ' if (!IsLoading){
        '   It is now OK to place your initialization code here.
        ' }
        ' or as an alternative, move your initialization code into the AfterConstruction method.
    End Sub
End Class
